//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "aboutform.h"
#include "mainform.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAboutForm *AboutForm;
//---------------------------------------------------------------------------
__fastcall TAboutForm::TAboutForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TAboutForm::OKButtonClick(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------
void __fastcall TAboutForm::FormCreate(TObject *Sender)
{
    IconImg->Picture->Assign(Application->Icon);
    VerLabel->Caption = ABC_VER;
#define SPIINFO_SIZE 128
    char spiinfo[SPIINFO_SIZE];
    int ret;
    int spi_count = SPI_MAN.get_countam()
                    + SPI_MAN.get_countin();

    InPlugLB->Items->Add("SusiePlug-inF" +(AnsiString)spi_count +"");
    for (int i=0; i < spi_count; i++) {
        InPlugLB->Items->Add(SPI_MAN.spiinfonum(i, 1));
    }

    int xpi_count = XPI_MAN.get_count();
    OutPlugLB->Items->Add("oPlug-inF" +(AnsiString)xpi_count +"");
    for (int i=0; i < xpi_count; i++) {
        ret = XPI_MAN.xpi_info(i, 1, spiinfo, SPIINFO_SIZE);
        if (ret != 0) OutPlugLB->Items->Add(spiinfo);
    }
}
//---------------------------------------------------------------------------
void __fastcall TAboutForm::InPlugLBDblClick(TObject *Sender)
{
    if (InPlugLB->ItemIndex == 0) return;

    SPI_MAN.spi_confignum(InPlugLB->ItemIndex -1, Handle, 1);
}
//---------------------------------------------------------------------------
void __fastcall TAboutForm::InPlugLBClick(TObject *Sender)
{
    ((TListBox *)Sender)->ShowHint = true;
    ((TListBox *)Sender)->Hint = ((TListBox *)Sender)->Items->Strings[((TListBox *)Sender)->ItemIndex];
}
//---------------------------------------------------------------------------
void __fastcall TAboutForm::OutPlugLBDblClick(TObject *Sender)
{
    if (OutPlugLB->ItemIndex == 0) return;

    XPI_MAN.xpi_config(OutPlugLB->ItemIndex -1, Handle, 1);
}
//---------------------------------------------------------------------------

